Subject: Re: [PATCH] CPM_UART: Fix non-console initialisation

From: Vitaly Bordug <[email-masked]>
Date: Thu, 19 Oct 2006 23:51:23 +0400

On Thu, 19 Oct 2006 22:40:27 +0300
Kalle Pokki wrote:

> On 10/19/06, Vitaly Bordug <[email-masked]> wrote:
> > And we end up with init_portdesc called unconditionally? this would
> > likely break, or at least confuse the code, that uses platform dev
> > to pass resources offsets.
> 
> Well now that I look at it again, we should probably do
> 
> if (cpm_uart_no == 0)
>      cpm_uart_init_portdesc();
> 
> to make it at least a little less confusing. Remember that
> init_portdesc() is not called when using platform device, so this
> should not affect those targets using it at all.
> 
ok.
> > Personally, I don't care much of compat stuff, unless it is
> > breaking/confusing targets using proper resources...
> 
> I'm sure there are still lots of people using the compat mode. As long
> as we have it, it should be kept functional.
I'm not for removing it - just any update to the compat stuff should 
not touch platform-managed/ make it more  complex/confusing to deal with.

I believe it's cumbersome enough yet :-)

-Vitaly